## org.apache.catalina.mbeans
Class StandardServerMBean

    java.lang.Object
      org.apache.commons.modeler.BaseModelMBean
          org.apache.catalina.mbeans.StandardServerMBean

All Implemented Interfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.modelmbean.ModelMBean, javax.management.modelmbean.ModelMBeanNotificationBroadcaster, javax.management.NotificationBroadcaster, javax.management.PersistentMBean

public class StandardServerMBean
extends org.apache.commons.modeler.BaseModelMBean

A ModelMBean implementation for the `org.apache.catalina.core.StandardServer` component.

Version:
  $Revision: 1.3 $ $Date: 2004/02/27 14:58:45 $
Author:
  Amy Roh

Field Summary

Fields inherited from class org.apache.commons.modeler.BaseModelMBean
`attributeBroadcaster, attributes, generalBroadcaster, info, oname, registry, resource, resourceType, source`

Constructor Summary
`StandardServerMBean()` Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Method Summary
`void` `store()` Write the configuration information for this entire `Server` out to the server.xml configuration file.

Methods inherited from class org.apache.commons.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, createDefaultModelMBeanInfo, createResource, getAttribute, getAttributes, getClassName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, getRegistry, initModelInfo, invoke, isModelMBeanInfoValid, load, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedResource, setModeledType, setModelMBeanInfo, setRegistry, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardServerMBean

    public StandardServerMBean()
                        throws javax.management.MBeanException,
                               javax.management.RuntimeOperationsException

  Construct a `ModelMBean` with default `ModelMBeanInfo` information.

Throws:
  `javax.management.MBeanException` - if the initializer of an object throws an exception
  `javax.management.RuntimeOperationsException` - if an IllegalArgumentException occurs

Method Detail

### store

    public void store()
               throws javax.management.InstanceNotFoundException,
                      javax.management.MBeanException,
                      javax.management.RuntimeOperationsException

  Write the configuration information for this entire `Server` out to the server.xml configuration file.

  Throws:
    `javax.management.InstanceNotFoundException` - if the managed resource object cannot be found
    `javax.management.MBeanException` - if the initializer of the object throws an exception, or persistence is not supported
    `javax.management.RuntimeOperationsException` - if an exception is reported by the persistence mechanism

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.